QGIS Application - Bug report #16059
Python Warning: ImportWarning, not importing sip directory due to missing __init__.py
2017-01-10 01:07 PM - Raphael Dumas

Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.14.10 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23974
Description

I noticed the absence of this __init__.py file in 2.14.9 as well. Clean install from the standalone x64 installer. Got the following stacktrace
when saving a script file in the Python Console.

warning:C:\PROGRA~1\QGISES~1\\apps\\Python27\\lib\\pyclbr.py:140: ImportWarning: Not importing directory
'C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\sip': missing __init__.py
f, fname, (_s, _m, ty) = imp.find_module(module, path + sys.path)

traceback: File "C:/PROGRA~1/QGISES~1/apps/qgis-Itr/./python\\console\\console.py", line 654, in saveScriptFile

tabWidget.save()

File "C:/PROGRA~1/QGISES~1/apps/qgis-Itr/./python\\console\\console_editor.py", line 827, in save
self.tw.listObject(self)

File "C:/PROGRA~1/QGISES~1/apps/qgis-Itr/./python\\console\\console_editor.py", line 1168, in listObject
readModule = pyclbr.readmodule(module)

File "C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\pyclbr.py", line 83, in readmodule
for key, value in _readmodule(module, path or []).items():

File "C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\pyclbr.py", line 258, in _readmodule
d = _readmodule(mod, path, inpackage)

File "C:\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\pyclbr.py", line 128, in _readmodule
parent = _readmodule(package, path, inpackage)

File "C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\pyclbr.py", line 128, in _readmodule
parent = _readmodule(package, path, inpackage)

File "C:\\PROGRA~1\\QGISES~1\\apps\\Python27\\lib\\pyclbr.py", line 241, in _readmodule
_readmodule(mod, path)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2018-03-27 10:40 PM - Raphael Dumas

- Status changed from Open to Closed

Don't think I've seen this issue since updating to >2.18
